# Module `posix.dirent`

Directory Iterators.

## Functions

dir ([path="."]) | Contents of directory.
files ([path="."]) | Iterator over all files in named directory.

## Functions

dir ([path="."])
  Contents of directory.

  ### Parameters:

  - path string directory to act on (default ".")

  ### Returns:

  table contents of path

  ### See also:

  dir.lua
files ([path="."])
  Iterator over all files in named directory.

  ### Parameters:

  - path string directory to act on (default ".")

  ### Returns:

  an iterator

generated by LDoc 1.5.0 Last updated 2025-02-16 13:16:41